Select Page

The blue dongle is not compatible with Mac OS 10.5 or 10.6. Please contact us to change the dongle to another one with a red colour that requires no special driver.
Use the contact form to get in contact with us.